MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028001Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-10-25 08:212016-12-09 16:38
Reporteremv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028001: Remove unused BOPCol_VectorOfInteger.hxx
DescriptionBOPCol_VectorOfInteger is a template from BOPCol_Array1 which is removed long ago. The issue is to remove the remains of it.
Steps To ReproduceNot needed.
TagsNo tags attached.
Test case numberNot needed.
Attached Files

- Relationships

-  Notes
(0059049)
git (administrator)
2016-10-25 08:33

Branch CR28001 has been created by emv.

SHA-1: a8f394155229c85c6376fed33be711f08c68cacd


Detailed log of new commits:

Author: emv
Date: Tue Oct 25 08:33:17 2016 +0300

    0028001: Remove unused BOPCol_VectorOfInteger.hxx
    
    Removing the remains of BOPCol_Array1, which was replaced with BOPCol_NCVector.
(0059050)
emv (developer)
2016-10-25 08:35

Dear Mikhail, please review the git branch CR28001.
(0059051)
emv (developer)
2016-10-25 08:36

Dear testers, please note, that testing is not needed. Check compilation only.
(0059056)
msv (developer)
2016-10-25 09:53

Reviewed.
(0059093)
mkv (tester)
2016-10-25 15:24

Dear BugMaster,
Branch CR28001 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: a8f394155229c85c6376fed33be711f08c68cacd

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1131
(0059094)
mkv (tester)
2016-10-25 15:25

Dear BugMaster,
Branch CR28001 is TESTED.
(0059423)
git (administrator)
2016-10-28 21:37

Branch CR28001 has been deleted by kgv.

SHA-1: a8f394155229c85c6376fed33be711f08c68cacd

- Related Changesets
occt: master 4945db69
Timestamp: 2016-10-25 05:33:17
Author: emv
Committer: apn
Details ] Diff ]
0028001: Remove unused BOPCol_VectorOfInteger.hxx

Removing the remains of BOPCol_Array1, which was replaced with BOPCol_NCVector.
rm - src/BOPCol/BOPCol_VectorOfInteger.hxx Diff ] File ]
mod - src/BOPCol/FILES Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-25 08:21 emv New Issue
2016-10-25 08:21 emv Assigned To => msv
2016-10-25 08:33 git Note Added: 0059049
2016-10-25 08:35 emv Note Added: 0059050
2016-10-25 08:35 emv Status new => resolved
2016-10-25 08:36 emv Test case number => Not needed.
2016-10-25 08:36 emv Note Added: 0059051
2016-10-25 09:48 msv Severity minor => integration request
2016-10-25 09:53 msv Note Added: 0059056
2016-10-25 09:53 msv Assigned To msv => bugmaster
2016-10-25 09:53 msv Status resolved => reviewed
2016-10-25 11:13 mkv Assigned To bugmaster => mkv
2016-10-25 15:24 mkv Note Added: 0059093
2016-10-25 15:25 mkv Note Added: 0059094
2016-10-25 15:25 mkv Status reviewed => tested
2016-10-25 16:06 mkv Assigned To mkv => bugmaster
2016-10-28 14:35 apn Changeset attached => occt master 4945db69
2016-10-28 14:35 apn Assigned To bugmaster => apn
2016-10-28 14:35 apn Status tested => verified
2016-10-28 14:35 apn Resolution open => fixed
2016-10-28 21:37 git Note Added: 0059423
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker